/**
 * $Header: D:/Projects/Repository/GaugeAPI/edu/cmu/cs/able/gaugeInfrastructure/RMI/RMIGaugeConsumerHandle.java,v 1.3 2002/01/31 16:39:04 schmerl Exp $
 * $Log: RMIGaugeConsumerHandle.java,v $
 * Revision 1.3  2002/01/31 16:39:04  schmerl
 * Added CVS header information
 *
 */

package edu.cmu.cs.able.gaugeInfrastructure.RMI;

import edu.cmu.cs.able.gaugeInfrastructure.*;
import edu.cmu.cs.able.gaugeInfrastructure.util.*;
import edu.cmu.cs.able.gaugeInfrastructure.Events.*;
/**
 * RMIGaugeConsumerHandle is the interface of RMIGaugeConsumerHandleImp
 * @see         GaugeConsumerHandle
 * @author      Hong Yan
 * @author      Bradley Schmerl
 * @version     1.0
 * @since       JDK1.3.1
 */
public interface RMIGaugeConsumerHandle extends java.rmi.Remote
{
    public String getGaugeConsumerUID() throws java.rmi.RemoteException;
    public void addGauge(GaugeID theGaugeID, StringPairVector configParams, StringPairVector setupParams) throws java.rmi.RemoteException;

    public void addGauge(GaugeID theGaugeID) throws java.rmi.RemoteException;

    public void onReportValue(GaugeID gauge, String valueName, String propertyName, String value) throws java.rmi.RemoteException;
     
    public void onReportMultipleValues(GaugeControl gauge, GaugeValueVector values) throws java.rmi.RemoteException;
    
    public void onReportConfigured(GaugeID gauge, StringPairVector configParams) throws java.rmi.RemoteException;
    
    public void onReportDeleted(GaugeID gauge) throws java.rmi.RemoteException;
    
    public void onReportCreated(GaugeID gauge) throws java.rmi.RemoteException;
    
}
